| Home | Libraries | People | FAQ | More

##### ip::basic_resolver::resolve (3 of 4 overloads)

Perform reverse resolution of an endpoint to a list of entries.

    iterator resolve(
        const endpoint_type & e);

This function is used to resolve an endpoint into a list of endpoint entries.

###### Parameters

e

  An endpoint object that determines what endpoints will be returned.

###### Return Value

A forward-only iterator that can be used to traverse the list of endpoint entries.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Remarks

A default constructed iterator represents the end of the list.

A successful call to this function is guaranteed to return at least one entry.